%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Summary:       MinGW Windows Enchanting Spell Checking Library
Name:          mingw32-enchant
Version:       1.6.0
Release:       1%{?dist}
Group:         System Environment/Libraries
License:       LGPLv2+
Source0:       http://www.abisource.com/downloads/enchant/%{version}/enchant-%{version}.tar.gz
URL:           http://www.abisource.com/

BuildRequires: mingw32-filesystem
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2 >= 2.6.0
BuildRequires: mingw32-hunspell
BuildRequires: m4
BuildArch:     noarch

Requires:      pkgconfig

%description
A library that wraps other spell checking backends.

This is the MinGW build of enchant


%package static
Summary:        Static version of the MinGW Windows enchant library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows enchant spell checking library.


%{?_mingw32_debug_package}


%prep
%setup -qn "enchant-%{version}"


%build
%{_mingw32_configure}   \
    --disable-ispell    \
    --disable-hspell    \
    --disable-aspell    \
    --enable-static     \
    --enable-shared
make
# When using make -j4 (which is the case with Koji) the following compile error occurs:
# /bin/sh ../libtool --tag=CC   --mode=link i686-pc-mingw32-gcc  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields -mms-bitfields -no-undefined -export-dynamic -avoid-version   -o libenchant.la -rpath /usr/i686-pc-mingw32/sys-root/mingw/lib prefix.lo enchant.lo pwl.lo -L/usr/i686-pc-mingw32/sys-root/mingw/lib -lgmodule-2.0 -lglib-2.0 -lintl   enchant-win32res.lo 
# libtool: link: `enchant-win32res.lo' is not a valid libtool object
#
# I haven't been able to find the exact cause yet so 'make %{?_smp_mflags}' has been disabled for now


%install
make DESTDIR=$RPM_BUILD_ROOT install

# Drop the man-pages
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/man


%files
%doc AUTHORS COPYING.LIB README
%{_mingw32_bindir}/enchant-lsmod.exe
%{_mingw32_bindir}/enchant.exe
%{_mingw32_bindir}/libenchant.dll
%{_mingw32_includedir}/enchant/
%dir %{_mingw32_libdir}/enchant/
%{_mingw32_libdir}/enchant/libenchant_myspell.dll
%{_mingw32_libdir}/enchant/libenchant_myspell.dll.a
%{_mingw32_libdir}/enchant/libenchant_myspell.la
%{_mingw32_libdir}/libenchant.dll.a
%{_mingw32_libdir}/libenchant.la
%{_mingw32_libdir}/pkgconfig/enchant.pc
%{_mingw32_datadir}/enchant/

%files static
%{_mingw32_libdir}/libenchant.a
%{_mingw32_libdir}/enchant/libenchant_myspell.a


%changelog
* Sun Sep 04 2011 Kalev Lember <kalevlember@gmail.com> - 1.6.0-1
- Update to 1.6.0
- Dropped all the patches as they are now included upstream

* Thu Jul  7 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-10
- Rebuild against win-iconv

* Wed Apr 27 2011 Kalev Lember <kalev@smartlink.ee> - 1.5.0-9
- Rebuilt for proxy-libintl removal

* Mon Apr 25 2011 Kalev Lember <kalev@smartlink.ee> - 1.5.0-8
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-6
- Rebuild for updated mingw32-hunspell

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-5
- Rebuild in order to have soft dependency on libintl

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-4
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Sun Aug 30 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-3
- Automatically generate debuginfo subpackage

* Sun Aug  9 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-2
- Dropped BR: autoconf libtool
- Added BR: m4
- Use 'rm -rf $RPM_BUILDROOT' in the %%clean phase
- Fixed a 'strange-permission' rpmlint warning
- Moved the file %%{_mingw32_libdir}/enchant/libenchant_myspell.a to
  the -static subpackage
- Use a more verbose %%files list
- Added a Requires: pkgconfig to the main package
- Added patches from the native enchant package
- Dropped another patch which isn't necessary anymore

* Sat Aug  8 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.5.0-1
- Update to version 1.5.0
- Drop upstreamed patch
- Don't use 'make %%{?_smp_mflags}' as this causes a compile failure in Koji

* Mon May 11 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.2-6
- Ported the native package to have MinGW support
- Dropped the epoch as this is a new package
- Fixed %%defattr line

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 26 2008 Michael Schwendt <mschwendt@fedoraproject.org> 1:1.4.2-4
- Rebuild for ABI-incompatible hunspell-1.2.4.2-2.fc10

* Thu Jul 10 2008 Marc Maurer <uwog@abisource.com> 1:1.4.2-3
- Fix 426712: don't build static libs (patch from Michael Schwendt)

* Wed May 21 2008 Marc Maurer <uwog@abisource.com> 1:1.4.2-2
- Rebuild

* Wed May 21 2008 Marc Maurer <uwog@abisource.com> 1:1.4.2-1
- New upstream release
- Add voikko support in an enchant-voikko package
- Bump glib-devel BR to 2.6.0

* Fri Feb 08 2008 Caolan McNamara <caolanm@redhat.com> 1:1.3.0-4.fc9
- minor cockup

* Sat Jan 26 2008 Caolan McNamara <caolanm@redhat.com> 1:1.3.0-3.fc9
- Resolves: rhbz#426402 use system hunspell not internal one and 
  split out aspell backend.
- See: rhbz#430354 hspell backend disabled until pic issue fixed

* Wed Dec 19 2007 Caolan McNamara <caolanm@redhat.com> 1:1.3.0-2.fc9
- tell enchant where the myspell dictionaries are

* Thu Oct 12 2006 Marc Maurer <uwog@abisource.com> 1:1.3.0-1.fc6
- Update to 1.3.0

* Mon Sep 11 2006 Marc Maurer <uwog@abisource.com> 1:1.2.5-3.fc6
- Rebuild for FC6

* Mon Apr 10 2006 Marc Maurer <uwog@abisource.com> 1:1.2.5-2.fc6
- Rebuild

* Mon Apr 10 2006 Marc Maurer <uwog@abisource.com> 1:1.2.5-1.fc6
- Package the data dir as well (bug 188516)
- New upstream version
- Add hspell requirement/support

* Tue Feb 14 2006 Marc Maurer <uwog@abisource.com> 1:1.2.2-2.fc5
- Rebuild for Fedora Extras 5

* Sun Feb 05 2006 Marc Maurer <uwog@abisource.com> 1:1.2.2-1.fc5
- Update to 1.2.2

* Mon Jan 30 2006 Marc Maurer <uwog@abisource.com> 1:1.2.1-1.fc5
- Update to 1.2.1
- Drop glib Require

* Sat Oct 22 2005 Marc Maurer <uwog@abisource.com> 1:1.2.0-1.fc5
- Update to 1.2.0

* Wed Oct  5 2005 Marc Maurer <uwog@abisource.com> 1:1.1.6-4.fc5
- Add dist flag to the release number

* Mon Apr  4 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1:1.1.6-3
- make in %%build
- disable bad buildroot rpaths in libs, don't use %%makeinstall
- require %%{epoch} of main package in -devel package (Fridrich Strba)

* Thu Mar 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1:1.1.6-2
- add dep glib2-devel for pkgconfig in -devel package
- include %%{_libdir}/enchant dir in main package
- make -devel package require exact VR of main package
- use -p /sbin/ldconfig in scriptlets

* Mon Mar 28 2005 Marc Maurer <uwog@abisource.com> 1:1.1.6-1
- update to 1.1.6
- drop the manpage patch (RH#145010#)
- fix version numbers in the spec changelog

* Wed Mar  2 2005 Caolan McNamara <caolanm@redhat.com> 1:1.1.5-3
- rebuild with gcc4

* Fri Jan 14 2005 Caolan McNamara <caolanm@redhat.com> 1:1.1.5-2
- RH#145010# misformatted manpage

* Mon Dec 20 2004 Caolan McNamara <caolanm@redhat.com> 1:1.1.5-1
- initial fedora import

* Sun Aug 24 2003 Rui Miguel Seabra <rms@1407.org>
- update spec to current stat of affairs
- building from source rpm is now aware of --with and --without flags:
- --without aspell --without ispell --without myspell --with uspell

* Wed Jul 16 2003 Rui Miguel Seabra <rms@1407.org>
- take advantage of environment rpm macros

* Sun Jul 13 2003 Dom Lachowicz <cinamod@hotmail.com>
- Initial version
